#ifndef MEMSHARE_H
#define MEMSHARE_H

#ifdef __cplusplus
extern "C" {
#endif

typedef void MemShare;

// Create shared memory
MemShare * MemShCreate( const char * pszFile, DWORD dwSize );

// Destroy shared memory
void MemShDestroy( MemShare * ptMemShare );

// Call this before updating the shared memory to acquire a lock
int MemShBeginCritical( MemShare * ptMemShare );

// Call this after having updated the shared memory to release the semaphore lock
int MemShEndCritical( MemShare * ptMemShare );

// Get the shared memory pointer
void *MemShGetPointer( MemShare * ptMemShare );




#ifdef __cplusplus
}
#endif


#endif  /*MEMSHARE_H*/
